#ifndef IOIMAGEHANDLER_H
#define IOIMAGEHANDLER_H

#include <QObject>
#include <QDataStream>
#include <QBuffer>

//Class wich will handle an IODevice wich writes images to the stream
//and send a signal when the image is completly written to the stream
class IOImageHandler : public QObject
{
    Q_OBJECT

    public:
        IOImageHandler() {}
        virtual ~IOImageHandler() {}

        QDataStream *dataStream;
        //any QIOdevice will be ok
        QIODevice *theIODevice;
    public slots:
        virtual void readImage() = 0;
        virtual void SLOT_reqNewImage() = 0;

    signals:
        void SIG_imageWritten();

    protected:
    private:

};

#endif // IOIMAGEHANDLER_H
