#include <QApplication>
#include <QFont>
#include <QPushButton>
#include <QInputDialog>
#include <QLineEdit>

#include "glstreamrenderer.h"
#include "ioimagehandler.h"
#include "tcpclientimagehandler.h"

int main(int argc, char* argv[])
{
    QApplication app(argc, argv);

    GLStreamRenderer streamRenderer;

    TCPclientImagehandler tcphandler;

    QString ip = QInputDialog::getText(&streamRenderer,"QInputDialog::getText()",
                                          "HostIP:", QLineEdit::Normal,"localhost");
     int port = QInputDialog::getInteger(&streamRenderer,"QInputDialog::getInteger()",
                                        "Port:", 3000, 0, 65000, 1,NULL);

    tcphandler.connectToHost(ip,port);

    streamRenderer.connectIOhandler(&tcphandler);
    streamRenderer.show();

    return app.exec();
}
